{% load_banners position: position_title limit: 1 %}
{% for banner in loaded_banners %}
  {% if banner.subtitle != blank %}
    {% capture section_title %}
      <div class="section-title">
        <h2 class="title">{{ banner.subtitle }}</h2>
      </div>
    {% endcapture %}
  {% endif %}
{% endfor %}

{% load_banners position: position, limit: 8 %}

{% for banner in loaded_banners %}
  {% capture blog_posts %}
    {{ blog_posts }}

    {% assign imageless = '-imageless' %}
    {% if banner.file_url != blank %}
      {% assign imageless = '' %}
    {% endif %}

    {% assign post_date = banner.subtitle %}
    {% assign post_tag = '' %}
    {% if banner.subtitle contains '|' %}
      {% assign post_date = banner.subtitle | split: '|' | first %}
      {% assign post_tag = banner.subtitle | split: '|' | last %}
    {% endif %}

    <div class="swiper-slide {{ imageless }}">
      {% if banner.file_url != blank %}
        {% capture data_srcset %}
          {{ banner.file_url | resize: '315x' }}
          315w,
          {{ banner.file_url | resize: '355x' }}
          355w,
          {{ banner.file_url | resize: '450x' }}
          450w,
          {{ banner.file_url | resize: '500x' }}
          500w,
          {{ banner.file_url | resize: '640x' }}
          640w
        {% endcapture %}

        {% capture data_sizes %}
          (max-width: 375px) 315px,
          (max-width: 425px) 355px,
          (max-width: 767px) 640px,
          (max-width: 991px) 450px,
          (max-width: 1280px) 640px,
          (min-width: 1440px) 500px,
        {% endcapture %}

        <figure class="image -square">
          <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
        </figure>
      {% endif %}

      {% if banner.subtitle != blank or banner.description != blank %}
        <div class="content" {% if banner.color != blank %} style="--post-color: {{ banner.color }}" {% endif %}>
          {% if banner.subtitle != blank %}
            <div class="infos">
              <span class="post-date">{{ post_date }}</span>
              {% if post_tag != '' %}
                <span class="post-tag">{{ post_tag }}</span>
              {% endif %}
            </div>
          {% endif %}

          {% if banner.description != blank %}
            <div class="text">
              {{ banner.description | replace: '<p', '<p class="description"' }}
            </div>
          {% endif %}
        </div>
      {% endif %}

      {% if banner.url != blank and banner.url != '#' %}
        <a class="link-overlay" aria-label="Ir para {{ banner.url }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}></a>
      {% endif %}
    </div>
  {% endcapture %}
{% endfor %}

{% if blog_posts and blog_posts != blank %}
  <section class="blog-posts section container" data-blog-posts>
    {{ section_title }}

    <div class="swiper">
      <div class="swiper-wrapper">
        {{ blog_posts }}
      </div>
    </div>
    <div class="swiper-pagination"></div>
  </section>
{% endif %}
